REM @echo off
REM This small script is intended to add the fonts
REM located in the TeXlive directory to the fonts usable
REM with the fontconfig enabled application.
REM
REM When the texlive 2011 distribution is running from an
REM USB stick, this could be quite complicated since
REM the drive letter is different on each Windows machine
REM (depending on the devices already present on the machine)

REM Current drive
set TLDrive=%cd:~0,1%

REM Root of the texlive installation on the disk
set TLRoot=%TLDrive%:\texlive\2011

REM Name of the local configuration file of
REM the fontconfig library
set LOCAL_FONT=%TLRoot%\texmf-var\fonts\conf\local.conf
REM Name of the model font configuration file where the
REM disk letter should be replaced
set MODEL_LOCAL_FONT=%TLRoot%\texmf-var\fonts\conf\local.conf.pattern
REM Pattern to represent the disk letter in the model file
set DISK_PATTERN=_DISQUE_

REM Add local binaries (mainly sed) and TL binaries to path
set PATH=%TLRoot%\texmf-local\bin\win32;%TLRoot%\bin\win32;%PATH%
REM and path to Yudit unicode editor, texmaker and notepad++
set PATH=%TLdrive%:\texlive\Applications\yudit\bin;%PATH%
set PATH=%TLdrive%:\texlive\Applications\Notepad++Portable;%PATH%
set PATH=%TLdrive%:\texlive\Applications\texmaker;%PATH%

sed -e s,%DISK_PATTERN%,%TLDrive%:,g %MODEL_LOCAL_FONT% > %LOCAL_FONT%

fc-cache -v 
start texworks
start "TeXlive 2011" cmd

:end